Scilab Function
Last update : 00/00/0000

isreal - vérifie si une matrice a des éléments complexes

### Calling Sequence

  `t=isreal(x)`
  `t=isreal(x,eps)`

### Parameters

- `x` : vecteur ou matrice réelle ou complexe.
- `eps` : nombre réel positif.
- `t` : un booléen.

### Description

`isreal(x)` renvoie `%T` (vrai) si `x` est stockée comme une matrice réelle ou `%F` (faux) si `x` est stockée avec une partie imaginaire (même nulle).

`isreal(x,eps)` renvoie `%T` (vrai) si `x` est stockée comme une matrice réelle ou si les valeurs absolues des parties imaginaires des éléments de `x` sont plus petites que `eps`.

### Examples

    isreal([1 2])
    isreal(1+0*%i)
    isreal(1+0*%i,0)
    isreal(1+%s)
    isreal(sprand(3,3,0.1))